/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 * 
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * MThumbSlider: Copyright (C) 1999 Nobuo Tamemasa.
 *  
 */

package com.simulogic.dataview.cursors;

import java.awt.Dimension;
import java.awt.Rectangle;

public interface CursorSliderAdditional {

    public Rectangle[] getThumbRects();

    public Rectangle getTrackRect();

    public Dimension getThumbSize();

    public double xPositionForValue(double value);

    public double yPositionForValue(double value);
}